<?php
require'f_instant.php';
$x5=($go=='apreciaza'?'a':'deza');
$x2=($go=='apreciaza'?'':'dez').'aprecieri';
$titlu=ucfirst($x5).'preciază mesajul instant '.$pid.' - '.$pnume;
require'f_sus.php';
require'f_mut.php';
if($conn->query('SELECT COUNT(*)FROM`ignorati`WHERE`la`="'.$de.'"&&`de`="'.$pinfo[1].'"')->fetch_row()[0]==0)
{
if($conn->query('INSERT INTO`mesaje_instant_aprecieri`SET`de`="'.$de.'",`pid`="'.$pid.'",`valoare`="'.($go=='apreciaza'?1:2).'",`data`="'.$_SERVER['REQUEST_TIME'].'"'))
{
if($de!=$pinfo[1])
{
require'f_notificare.php';
notificare('ți-am [url=/aprecieri-mesaj-instant/id/'.$pid.'-'.seo($pinfo[5]).'/tip/'.$x2.']'.$x5.'preciat[/url] mesajul instant [b]'.$pid.'[/b]!',$pinfo[1],$de);
}
$conn->query('INSERT INTO`evenimente`SET`text`="a [url=/aprecieri-mesaj-instant/id/'.$pid.'-'.seo($pinfo[5]).'/tip/'.$x2.'][img='.($x5=='a'?$domenii_statice[1]:$domenii_statice[2]).$x5.'preciaza.png]'.$x5.'preciat[/url] mesajul instant [b]'.$pid.'[/b]",`de`="'.$de.'",`data`="'.$_SERVER['REQUEST_TIME'].'",`tip`="1"');
$mesaj_instant=$conn->query('SELECT`id`FROM`mesaje_instant`ORDER BY`data`DESC LIMIT 1')->fetch_row()[0];
if($mesaj_instant==$pid&&$conn->query('SELECT COUNT(*)FROM`mesaje_instant_aprecieri`WHERE`pid`="'.$pid.'"')->fetch_row()[0]==10)
{
$conn->query('UPDATE`membrii`SET`lei`=lei+'.($lei['instant']*3).' WHERE`id`="'.$pinfo[1].'"');
require_once'f_notificare.php';
notificare('deoarece ai acumulat [b]10[/b] [url=/aprecieri-mesaj-instant/id/'.$pid.'-'.seo($pinfo[5]).'/tip/'.$x2.']aprecieri[/url] la mesajul instant [b]'.$pid.'[/b], ai primit drept rasplata triplul sumei platite la scrierea lui!',$pinfo[1],$id_robot);
}
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Ai <strong>'.$x5.'preciat</strong> acest mesaj instant!<br />Vei primi notificari cand primește comentarii noi!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Ai mai votat acest mesaj instant!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu poți '.$x5.'precia acest mesaj instant, deoarece '.nume($pinfo[1]).' te are în lista cu persoane ignorate!';
echo$div[0];
require'f_jos.php';